<app-loader *ngIf="isLoad">  </app-loader>


<div *ngIf="error && !isLoad">
	<i>{{error}}</i>
</div>

<div class="art-card" *ngIf="tests">
	<table mat-table  [dataSource]="tests || []">
		<ng-container matColumnDef="testType">
			<th mat-header-cell *matHeaderCellDef > Тип вступительного испытания </th>
			<td mat-cell *matCellDef="let row"> {{ row?.name_entrance_test_type }}</td>
		</ng-container>

		<ng-container matColumnDef="subject">
			<th mat-header-cell *matHeaderCellDef > Предмет </th>
			<td mat-cell *matCellDef="let row">
				<span *ngIf="row.is_ege">{{ row?.name_subject }}</span>
				<span *ngIf="!row.is_ege">{{ row?.test_name }}</span>
			</td>
		</ng-container>

		<ng-container matColumnDef="ege">
			<th mat-header-cell *matHeaderCellDef > Тип </th>
			<td mat-cell *matCellDef="let row"> {{ row?.is_ege | yesNo: 'ЕГЭ': 'Не ЕГЭ' || '-'}}</td>
		</ng-container>

		<ng-container matColumnDef="minScore">
			<th mat-header-cell *matHeaderCellDef > Мин. балл </th>
			<td mat-cell *matCellDef="let row"> {{ row?.min_score }}</td>
		</ng-container>

		<ng-container matColumnDef="priority">
			<th mat-header-cell *matHeaderCellDef > Приоритет </th>
			<td mat-cell *matCellDef="let row"> {{ row?.priority }}</td>
		</ng-container>

		<ng-container matColumnDef="dates">
			<th mat-header-cell *matHeaderCellDef > Даты проведения </th>
			<td mat-cell *matCellDef="let row">
				<ng-container *ngIf="!row.is_ege">
					<div class="my-4" *ngFor="let date of row.entrance_test_calendar_dates">
						{{date | date: 'dd.MM.yyyy HH:mm, (zzzz)'}}
					</div>
				</ng-container>
			</td>
		</ng-container>

		<ng-container matColumnDef="chooseDate">
			<th mat-header-cell *matHeaderCellDef > Выбранная дата </th>
			<td mat-cell *matCellDef="let row">
				<span *ngIf="row.choose_entrance_test_date; else notChooseDate">
					{{ row.choose_entrance_test_date?.date | date: 'dd.MM.yyyy HH:mm, (zzzz)'}}
				</span>
				<ng-template #notChooseDate>
					{{"-" }}
				</ng-template>

			</td>
		</ng-container>

		<ng-container matColumnDef="mark">
			<th mat-header-cell *matHeaderCellDef > Балл по документу </th>
			<td mat-cell *matCellDef="let row">
				<ng-container *ngIf="row.app_entrance_test">
					{{ row?.app_entrance_test.result_value }}
				</ng-container>
			</td>
		</ng-container>

		<ng-container matColumnDef="docInfo">
			<th mat-header-cell *matHeaderCellDef > Подтверждающий документ </th>
			<td mat-cell *matCellDef="let row">
				<ng-container *ngIf="row.app_entrance_test">
					{{ row?.app_entrance_test.document_name_category }}
				</ng-container>
			</td>
		</ng-container>

		<ng-container matColumnDef="uid">
			<th mat-header-cell *matHeaderCellDef > UID </th>
			<td mat-cell *matCellDef="let row">
				<ng-container *ngIf="row.app_entrance_test">
					{{ row?.app_entrance_test.uid }}
				</ng-container>
			</td>
		</ng-container>

		<ng-container matColumnDef="noRecord">
			<td mat-footer-cell *matFooterCellDef [colSpan]="testsColumns.length" ><i>Вступительных испытаний не найдено</i></td>
		</ng-container>

		<tr mat-header-row *matHeaderRowDef="testsColumns"></tr>
		<tr mat-row  *matRowDef="let row; columns: testsColumns;"></tr>
		<tr mat-footer-row *matFooterRowDef="['noRecord'] "
			[hidden]="tests.length !== 0"></tr>

	</table>
</div>
